| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ContactLocations Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, QVariantMap >.

List of all members.

## Public Member Functions

- ContactLocations ()
- ContactLocations (const QMap< uint, QVariantMap > &a)
- ContactLocations & operator= (const QMap< uint, QVariantMap > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QVariantMap>, but needed to have a discrete type in the Qt type system.

A map from contacts to their locations.

## Constructor & Destructor Documentation

Tp::ContactLocations::ContactLocations | ( |  | ) | `[inline]`

Tp::ContactLocations::ContactLocations | ( | const QMap< uint, QVariantMap > & | a | ) | `[inline]`

## Member Function Documentation

ContactLocations& Tp::ContactLocations::operator= | ( | const QMap< uint, QVariantMap > & | a | ) | `[inline]`